
ChiliProject - Feature # 310: Option to skip mail notifications on issue updates

Status: Closed Priority: Normal
Author: Eric Davis Category: Issue tracking
Created: 2011-03-30 Assignee: Eric Davis
Updated: 2011-04-29 Due date:
Remote issue URL:
Affected version:
Description: Currently, any update to an issue will cause a mail notification to be sent. This can cause a lot of email, 

especilly when someone is triaging and correcting issues (e.g. mispelled title, wrong category).

I've added a check box to New Issue, Update Issue, and Bulk Update Issue which allows a user to choose if 
they want to send email notifications for their update.

Associated revisions
2011-03-30 08:48 pm - Eric Davis
[#310 LSS#5727] Add checkbox option to determine if issue emails should be sent

History
2011-03-30 06:54 pm - Eric Davis
- Status changed from Open to Ready for review

Pull request sent https://github.com/chiliproject/chiliproject/pull/33

2011-04-26 10:16 pm - Peter Olson
I found a plugin for this just today: http://teleological.github.com/redmine-stealth-plugin/

It adds a little toggle in the upper left to toggle on and off stealth mode (no emails send).  It works pretty good though I'm not sure if it toggles globally or 
per user (should do per user but you never know).  Also, someone (like me) could forget they had it toggled on and then everything they did wouldn't 
send emails.  I might like a checkbox approach better.

This is something that should be in core though (IMHO) and not just in a plugin so its good to see you have some code for it already.

2011-04-27 03:04 pm - Peter Olson
Tested out your changed above and it seems to work well.

2 things I noticed:

* There are no permissions for this checkbox.  Not sure if its necessary, but I thought I would bring it up.  There may be some roles where you want to 
be notified all the time and don't want that person to have control over it.
* There is now way to stop notifications when changing things _using the right-click menu_ in an issue list.

2011-04-29 03:59 pm - Eric Davis
- Target version set to 2.0.0

- Status changed from Ready for review to Closed

Peter Olson:

I thought about permissions too but I'd rather add what we have and see if that will even be a problem. It wouldn't be possible to make this kind of 
change to the right click menu without changing how that menu works (I'm open to that idea later on).
Merged into unstable for 2.0

2020-10-25 2/2


